Bug 1319858 - vtun: high CPU usage after SIGHUP
Summary: vtun: high CPU usage after SIGHUP
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1319859 1319860 1319861
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-21 16:48 UTC by Andrej Nemec
Modified: 2019-09-29 13:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-02 08:45:37 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-03-21 16:48:27 UTC
A vulnerability was found in the vtun package. When you send a SIGHUP to a vtun client process and it cannot connect to the remote server, vtun tries to reconnect without sleep between each attempt.
In result, the vtun process uses a lot of CPU, and writes to syslog without limit.

References (with proposed patch):

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=818489

Comment 1 Andrej Nemec 2016-03-21 16:48:54 UTC
Created vtun tracking bugs for this issue:

Affects: fedora-all [bug 1319859]
Affects: epel-5 [bug 1319860]
Affects: epel-6 [bug 1319861]

Comment 2 Fedora Update System 2016-04-04 17:26:14 UTC
vtun-3.0.3-15.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-04-05 13:53:54 UTC
vtun-3.0.3-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-04-05 14:18:31 UTC
vtun-3.0.3-15.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-04-05 16:21:02 UTC
vtun-3.0.3-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-04-06 14:53:16 UTC
vtun-3.0.1-10.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Andrej Nemec 2016-05-02 08:45:37 UTC
Closing this as per:

http://seclists.org/oss-sec/2016/q2/157
http://seclists.org/oss-sec/2016/q2/173


Note You need to log in before you can comment on or make changes to this bug.